The BOOST_PP_NOT_EQUAL_D macro compares two values for inequality.

#### Usage

BOOST_PP_NOT_EQUAL_D(d, x, y)

#### Arguments

d
  This argument is ignored.
x
  The left operand of the comparison. Valid values range from 0 to BOOST_PP_LIMIT_MAG.
y
  The right operand of the comparison. Valid values range from 0 to BOOST_PP_LIMIT_MAG.

#### Remarks

If x is equal to y, this macro expands to 0. Otherwise, it expands to 1.
This macro is deprecated. It only exists for backward compatibility. Use BOOST_PP_NOT_EQUAL instead.

#### See Also

- BOOST_PP_LIMIT_MAG
- BOOST_PP_NOT_EQUAL

#### Requirements

Header: <boost/preprocessor/comparison/not_equal.hpp>

#### Sample Code

    #include <boost/preprocessor/comparison/equal.hpp>

    BOOST_PP_NOT_EQUAL_D(1, 4, 3) // expands to 1
    BOOST_PP_NOT_EQUAL_D(1, 5, 5) // expands to 0